Page MenuHomePhabricator

"Title::newFromTitle: $text must be a string" from MobileFrontend
Closed, ResolvedPublic

Description

Warning: Title::newFromTitle: $text must be a string
from
SpecialPageFactory::executePath/SpecialPage::run/Mobile../Title::newFromText

About 200 hits per day from Logstash in the channel for T76305. The following code paths:

  • ../MobileSpecialPage::execute/SpecialMobileLanguages::executeWhenAvailable/Title::newFromText
  • ../MobileSpecialPage::execute/SpecialMobileEditor::executeWhenAvailable/Title::newFromText

It's probably passing null from execute(). Needs to be fixed as its blocking Title from throwing an exception instead of a warning.

Event Timeline

Krinkle created this task.Aug 23 2015, 1:07 PM
Krinkle updated the task description. (Show Details)
Krinkle raised the priority of this task from to Needs Triage.
Krinkle added subscribers: Aklapper, Jdlrobson.
Krinkle renamed this task from "Title::newFromTitle: $text must be a string" from SpecialMobileLanguages to "Title::newFromTitle: $text must be a string" from MobileFrontend.Aug 23 2015, 1:12 PM
Krinkle updated the task description. (Show Details)
Krinkle set Security to None.
demon triaged this task as Normal priority.Aug 24 2015, 3:19 AM
Florian claimed this task.Aug 26 2015, 6:13 PM

Change 234031 had a related patch set uploaded (by Florianschmidtwelzow):
Don't try to construct a Title object with anything other a string

https://gerrit.wikimedia.org/r/234031

Change 234031 merged by jenkins-bot:
Don't try to construct a Title object with anything other a string

https://gerrit.wikimedia.org/r/234031

Jdlrobson closed this task as Resolved.Aug 26 2015, 9:12 PM